/*===============================================================================
ハンバーガーメニューの開閉ボタンの位置を揃える
================================================================================*/
@media not all and (min-width: 960px) {
	:root {
		--header-vertical-gap: 0rem;
		--header-side-gap: 0rem;
		--icon-size: 5rem;
	}

	/* ヘッダーロゴ周りの余白を削除 */
	:is(#header, #fix_header) :is(.l-header__logo, .c-headLogo__link) {
		padding: 0;
	}

	/* 開けるボタンの位置 */
	#header {
		padding: var(--header-vertical-gap) var(--header-side-gap);
	}

	/* 閉じるボタンの位置 */
	#sp_menu .p-spMenu__inner {
		padding-top: calc(var(--swl-headerH) + var(--header-vertical-gap));
	}
	#sp_menu .p-spMenu__closeBtn {
		top: calc(var(--header-vertical-gap) + 0px);
		right: var(--header-side-gap);
	}

	/*===============================
	サイズの変更
	* =================================*/
	#header .l-header__menuBtn,
	#sp_menu .p-spMenu__closeBtn {
		width: var(--icon-size);
		height: var(--icon-size);
	}
	#header .c-iconBtn,
	#sp_menu .c-iconBtn {
		font-size: calc(var(--icon-size) / 2.5);
	}
	#header .c-iconBtn__icon,
	#sp_menu .c-iconBtn__icon {
		font-size: inherit;
	}
}

/*===============================================================================
ハンバーガーメニュー
================================================================================*/
/*===============================
ハンバーガーメニューが開いている時はｽｸﾛｰﾙ禁止
* =================================*/
[data-spmenu="opened"] body {
	height: 100%;
	overflow: hidden;
}
